%define pkg_name        IPC-Run
%define pkg_version     0.80
%define rpm_pkg_version 0.80
%define rpm_pkg_release 2.n0i.11

Summary:       Child procs w/ piping, redir and psuedo-ttys
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RS/RSOD/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%global perl_filter_req 'Win32'

%description
IPC::Run allows you run and interact with child processes using files, pipes,
and pseudo-ttys. Both system()-style and scripted usages are supported and may
be mixed. Likewise, functional and OO API styles are both supported and may be
mixed.

Various redirection operators reminiscent of those seen on common Unix and DOS
command lines are provided.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path abuse/ eg/}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc abuse/ Changes eg/ TODO


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.80-2.n0i.11
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sat May 13 2006 Marius Feraru <altblue@n0i.net> - 0.80-1.n0i.10
- version 0.80

* Thu Jul 21 2005 Marius Feraru <altblue@n0i.net> 0.79-4.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.79-1.n0i.8
- automatic rebuild (perl 5.8.6)

* Sat Jan 22 2005 Marius Feraru <altblue@n0i.net> 0:0.79-1.n0i.7
- version 0.79

* Tue Nov 30 2004 Marius FERARU <altblue@n0i.net> 0:0.78-1.n0i.6
- rebuild (perl 5.8.6)
- no dependencies are to be computed based on files in %%docdir

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:0.78-1.n0i.5
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Fri Mar 19 2004 Marius FERARU <altblue@n0i.net> 0:0.78-1.n0i.4
- version 0.78

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.77-0.n0i.3
- version 0.77
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Sun Jul 27 2003 Marius FERARU <altblue.net>
- small spec cleanups

* Sun Jun 29 2003 Marius FERARU <altblue@n0i.net> 0.75-0.n0i
- Initial build.
